Index: npl/system/glibc/timezone-scripts/parts/02
===================================================================
--- npl/system/glibc/timezone-scripts/parts/02	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/glibc/timezone-scripts/parts/02	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,28 @@
+   2> $TMP/tz
+
+   if [ $? = 1 -o $? = 255 ]; then
+      rm -f $TMP/tz
+      exit
+   fi
+
+   TIMEZONE="`cat $TMP/tz`"
+   rm -f $TMP/tz
+
+   setzone $TIMEZONE
+   exit
+else
+   ###
+   ### use text prompts
+   ###
+   while [ 0 ]; do
+      echo -n "Would you like to configure your timezone ([y]es, [n]o)? "
+      read TIMECONF;
+      echo
+
+      if [ "$TIMECONF" = "n" ]; then
+         break
+      fi
+
+      cat << EOF
+Select one of these timezones:
+
